#require "hbnetio"

#include "hdroidgui.ch"

FUNCTION HDroidMain

   LOCAL oWnd, oLayV, oLayH, oBrw, oBtn1, oBtn2, cPath
   LOCAL i, arr := {"Petr","Fedor","Alexander","Viktor","Nikolay","Ivan","Anton", ;
      "Boris","Alexey","Andrey","Konstantin","Oleg","Igor","Pavel","Sergey","Mikhail","Dmitry", ;
      "Artem","Nikita","Ilya","Vladimir","Vyacheslav","Efim","Lev","Roman","Semen","Miron","Matvey","Leonid"}

   SET DATE FORMAT "dd/mm/yyyy"
   
   INIT WINDOW oWnd TITLE "Browse" ON EXIT {||dbCloseAll()}

   MENU
      MENUITEM "Exit" ACTION hd_calljava_s_v("exit:")
   ENDMENU

   BEGIN LAYOUT oLayV SIZE MATCH_PARENT,MATCH_PARENT

//   cPath := "net:/SyS-GVS/Datos/Paquita/"  // hd_HomeDir()
   cPath := "net:/tests/"  // hd_HomeDir()

//   IF lOk 
//	  hd_MsgInfo( "Conectado al Servidor: " + AllTrim( wNetIO_Serv ) + ":" + AllTrim( Str( wNetIO_Port ) ) )
//	 ENDIF

	lNetIO := IniciaNetIO()
	
   // hd_MsgInfo(cPath+Chr(10)+hb_Version() )
   
   RDDSETDEFAULT( "DBFCDX" )
   /*
   IF !File( cPath+"testa.dbf" )
      dbCreate( cPath+"testa", { {"NAME","C",10,0}, {"NUM","N",4,0}, {"INFO","C",32,0}, {"DINFO","D",8,0} } )

      USE ( cPath+"testa" ) New EXCLUSIVE
      FOR i := 1 TO Len(arr)
         APPEND BLANK
         REPLACE NAME WITH arr[i], NUM WITH 1000+i, INFO WITH "Record number "+Ltrim(Str(i)), DINFO WITH Date()+i
      NEXT
   ELSE
      USE ( cPath+"testa" ) New EXCLUSIVE
   ENDIF
   */
//   USE ( cPath+"placta14.gvs" ) New SHARED // EXCLUSIVE
   USE ( cPath+"test.dbf" ) New SHARED // EXCLUSIVE
   GO TOP


   IF !Empty( Alias() )

      //hd_MsgInfo( Alias() )

      // hd_MsgInfo( Cuenta + "|" + descripcio )
      //hd_MsgInfo( Cod_Banco + "|" + Nombre_Bco )
   
      BROWSE oBrw DBF Alias() HSCROLL SIZE MATCH_PARENT, 0 ;
         ON CLICK {|o,n|EditRec( oBrw,.F. )}

      oBrw:nRowHeight := 40
      oBrw:nHeadHeight := 24
      oBrw:HeadBColor := "#0000CD"
      oBrw:AddColumn( HDColumn():New( {|o|(o:data)->First}, 80, "Nombre" ) )
      oBrw:AddColumn( HDColumn():New( {|o|(o:data)->Last}, 80, "Apellido" ) )
      oBrw:AddColumn( HDColumn():New( {|o|Str((o:data)->Age,14)}, 80, "Edad" ) )
	  
	  /*
      oBrw:AddColumn( HDColumn():New( {|o|(o:data)->Cuenta}, 80, "Cuenta" ) )
      oBrw:AddColumn( HDColumn():New( {|o|Str((o:data)->Inicio_Ene,14)}, 80, "Saldo Inicial Enero" ) )
      oBrw:AddColumn( HDColumn():New( {|o|(o:data)->descripcio}, 180, "Descripción" ) )
	  *
      oBrw:AddColumn( HDColumn():New( {|o|(o:data)->Cod_Banco}, 120, "Código" ) )
      oBrw:AddColumn( HDColumn():New( {|o|Str((o:data)->Sal_Ini_Na,14)}, 80, "Saldo Inicial" ) )
      oBrw:AddColumn( HDColumn():New( {|o|(o:data)->Nombre_Bco}, 180, "Nombre del Bco}" ) )
	  */
   ELSE	
	  
		hd_MsgInfo( "No hay Alias()" )
	  
   ENDIF

   BEGIN LAYOUT oLayH HORIZONTAL SIZE MATCH_PARENT,WRAP_CONTENT

      BUTTON oBtn1 TEXT "Add record" SIZE 0, MATCH_PARENT ;
            ON CLICK {||EditRec( oBrw,.T. )}
      oBtn1:nMarginL := oBtn1:nMarginR := 12
      oBtn1:nMarginT := 4
      oBtn1:nMarginB := 2

   END LAYOUT oLayH

   END LAYOUT oLayV

   ACTIVATE WINDOW oWnd

   RETURN NIL

STATIC FUNCTION EditRec( oBrw,lNew )

   LOCAL oWnd, oLayV, oBtn1, oBtn2, oBtn3, oEdit1, oEdit2, oEdit3, oEdit4
   LOCAL nRec := Iif( lNew, 0, (oBrw:data)->( RecNo() ) ), lUpd := .F.

   INIT WINDOW oWnd TITLE Iif( lNew, "Add record", "Edit record" )

   BEGIN LAYOUT oLayV SIZE MATCH_PARENT,MATCH_PARENT

   EDITBOX oEdit1 HINT "Name"  TEXT Iif( lNew, "", (oBrw:data)->cuenta )
   EDITBOX oEdit2 HINT "Number" TEXT Iif( lNew, "", Ltrim(Str((oBrw:data)->inicio_ene )))
   EDITBOX oEdit3 HINT "Info" TEXT Iif( lNew, "", (oBrw:data)->descripcio )
   // EDITBOX oEdit4 HINT "dd/mm/yyyy" TEXT Iif( lNew, "", Dtoc((oBrw:data)->DINFO ))

   BEGIN LAYOUT oLayH HORIZONTAL SIZE MATCH_PARENT,WRAP_CONTENT

      oLayH:nMarginT := 24
      BUTTON oBtn1 TEXT Iif( lNew, "Add&Close", "Update" ) SIZE 0, MATCH_PARENT ;
            ON CLICK {||Addrec(oBrw,nRec,oEdit1,oEdit2,oEdit3,oEdit4),Iif(lNew,oBrw:Refresh(),oBrw:RefreshRow()),hd_calljava_s_v("finish:")}
      oBtn1:nMarginL := oBtn1:nMarginR := 8

      IF lNew
         BUTTON oBtn2 TEXT "Add" SIZE 0, MATCH_PARENT ;
               ON CLICK {||Addrec(oBrw,0,oEdit1,oEdit2,oEdit3,oEdit4),CleanForm(oEdit1,oEdit2,oEdit3,oEdit4),lUpd := .T.}
      ENDIF

      BUTTON oBtn3 TEXT "Close" SIZE 0, MATCH_PARENT ;
            ON CLICK {||Iif(lUpd,oBrw:Refresh(),.F.),hd_calljava_s_v("finish:")}
      oBtn3:nMarginL := oBtn3:nMarginR := 8

   END LAYOUT oLayH

   END LAYOUT oLayV

   ACTIVATE WINDOW oWnd

   RETURN NIL

STATIC FUNCTION AddRec( oBrw, nRec, oEdit1, oEdit2, oEdit3, oEdit4 )

   IF nRec == 0
      APPEND BLANK
   ELSEIF nRec != (oBrw:data)->( RecNo() )
      (oBrw:data)->( dbGoTo(nRec) )
   ENDIF
   REPLACE NAME WITH oEdit1:GetText(), NUM WITH Val( oEdit2:GetText() ), ;
      INFO WITH oEdit3:GetText(), DINFO WITH Ctod( oEdit4:GetText() )

   RETURN NIL

STATIC FUNCTION CleanForm( oEdit1, oEdit2, oEdit3, oEdit4 )

   oEdit1:SetText( "" )
   oEdit2:SetText( "" )
   oEdit3:SetText( "" )
   oEdit4:SetText( "" )

   RETURN NIL

   
STATIC FUNCTION IniciaNetIO()
   /*
   Previamente iniciar el servidor con este comando:
   C:\>d:\hrbmingw\bin\hbnetio -a -iface=127.0.0.1 -rootdir=D:\labgvs\ARX -rpc
   D:\labgvs\arx\2013>D:\harbour\bin\win\mingw\hbnetio -iface=172.16.9.202 -rootdir=D:\labgvs\ARX\2013
   Para Administracion iniciar asi:
   D:\labgvs\ARX>D:\harbour\contrib\hbnetio\utils\hbnetio\hbnetio -a -iface=127.0.0.1 -rootdir=D:\labgvs\ARX -rpc -adminport=2940 -adminiface=127.0.0.1 -adminpass=topsecret
   NOTA: Para Trabajar con RPC se debe poner Password
   */
   
   LOCAL wNetIO_Serv := "192.168.1.34"
   LOCAL wNetIO_Port := 2941, lOk
   
   netio_Disconnect() // netio_Disconnect( [<cServer>], [<nPort>] ) -> <lOK>
   // @ nMaxFil, 0 SAY "Conectando al Servidor: " + AllTrim( wNetIO_Serv ) + ":" + AllTrim( Str( wNetIO_Port ) ) + " . . . "
// if lOk := netio_connect( cServer                ,            ,, cPasswd )   
	if !NETIO_CONNECT( AllTrim( wNetIO_Serv ), wNetIO_Port) //,, "gvs" )
      hd_MsgInfo("No se puede iniciar el servidor")
      //fConfig := xSepRutOS + CURDIR() + xSepRutOS + Config
      //ConfigUA(.T.)
      hd_calljava_s_v("exit:")
   ENDIF
   //@ nMaxFil, 0 SAY "Conectado al Servidor: " + AllTrim( wNetIO_Serv ) + ":" + AllTrim( Str( wNetIO_Port ) ) + SPAC( nMaxCol )
   //hd_MsgInfo( "Conectado al Servidor: " + AllTrim( wNetIO_Serv ) + ":" + AllTrim( Str( wNetIO_Port ) ) )

/*
   use net:/sys-gvs/placta11.gvs
 	Browse()
*/
   RETURN lOk

   